org.jbpm.workflow.instance.node

## Class ForEachNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.CompositeNodeInstance
        - - org.jbpm.workflow.instance.node.CompositeContextNodeInstance
          - - org.jbpm.workflow.instance.node.ForEachNodeInstance

- All Implemented Interfaces:
    Serializable, ContextableInstance, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance, org.kie.api.runtime.process.NodeInstanceContainer

      public class ForEachNodeInstance
      extends CompositeContextNodeInstance

  Runtime counterpart of a for each node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ForEachNodeInstance.ForEachJoinNodeInstance`
    `class` | `ForEachNodeInstance.ForEachSplitNodeInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEachNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextContainer` | `getContextContainer()`
    `ContextInstance` | `getContextInstance(String contextId)`
    `ForEachNode` | `getForEachNode()`
    `int` | `getLevelForNode(String uniqueID)`
    `NodeInstance` | `getNodeInstance(org.kie.api.definition.process.Node node)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeContextNodeInstance

      `addContextInstance, getCompositeContextNode, getContextInstance, getContextInstance, getContextInstances, removeContextInstance, setContextInstance`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `addEventListeners, addNodeInstance, cancel, getCompositeNode, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTrigger, internalTriggerOnlyParent, isLinkedIncomingNodeRequired, nodeInstanceCompleted, removeEventListeners, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, signalEvent, triggerCompleted, useAsync`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachNodeInstance

          public ForEachNodeInstance()

  - ### Method Detail

    - #### getForEachNode

          public ForEachNode getForEachNode()

    - #### getNodeInstance

          public NodeInstance getNodeInstance(org.kie.api.definition.process.Node node)

      Overrides:
        `getNodeInstance` in class `CompositeNodeInstance`

    - #### getContextContainer

          public ContextContainer getContextContainer()

      Specified by:
        `getContextContainer` in interface `ContextInstanceContainer`
      Overrides:
        `getContextContainer` in class `CompositeContextNodeInstance`

    - #### getContextInstance

          public ContextInstance getContextInstance(String contextId)

      Specified by:
        `getContextInstance` in interface `ContextableInstance`
      Overrides:
        `getContextInstance` in class `CompositeContextNodeInstance`

    - #### getLevelForNode

          public int getLevelForNode(String uniqueID)

      Overrides:
        `getLevelForNode` in class `CompositeNodeInstance`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.